<?php
session_start();


if(!isset($_SESSION['user_vcrx_id']) || empty($_SESSION['user_vcrx_id']))
{
  	die('Debe Iniciar Sesion');
}


require('../cfg/cfg.php');
require('../cfg/res.php');


$sql_empr='select * from empr0';
$res_empr=mysql_query($sql_empr,$link_vcrx);
$empr_ruc=mysql_result($res_empr,0,'empr_ruc');

$enti=$_SESSION['user_vcrx_id'];
$codigo=$_POST['codigo'];

$sql_tvir='select * from tvir1 where enti="'.$enti.'" order by idnum1 desc';
$res_tvir=mysql_query($sql_tvir,$link_vcrx);


if(mysql_num_rows($res_tvir)==0)
{
$sql_tvir='insert into tvir1(docu,enti,fecha,idate,iuser)value("CAR1","'.$enti.'",now(),"-",now(),"'.$enti.'")';
$res_tvir=mysql_query($sql_tvir,$link_vcrx);

$sql_tvir='select * from tvir1 where enti="'.$enti.'" order by idnum1 desc';
$res_tvir=mysql_query($sql_tvir,$link_vcrx);
  
}  

$idnum1=mysql_result($res_tvir,0,'idnum1');
$iddet=1;
  
$sql_tvir='select * from tvir2 where idnum2="'.$idnum1.'" order by iddet desc';
$res_tvir=mysql_query($sql_tvir,$link_vcrx);
if(mysql_num_rows($res_tvir)!=0)
{$iddet=mysql_result($res_tvir,0,'iddet')+1;}

$sql_tvir='insert into tvir2(idnum2,iddet,item,cant,detalle)value("'.$idnum1.'","'.$iddet.'","'.$codigo.'",1,now())';
$res_tvir=mysql_query($sql_tvir,$link_vcrx);

$sql_tvir='update tvir1 ';
$sql_tvir.=' set fecha=now() ';
$sql_tvir.=' where idnum1='.$idnum1.'';
$res_tvir=mysql_query($sql_tvir,$link_vcrx);

$sql_tvir='update tvir2 left join item0 on item=item_codigo';
$sql_tvir.=' set puni=item_puni, iva=item_iva, dcto=item_dcto, ice=item_ice, irbp=item_irbp ';
$sql_tvir.=' where idnum2='.$idnum1.'';
$res_tvir=mysql_query($sql_tvir,$link_vcrx);

echo 'Se Agrego el Codigo : '.$codigo;

// echo $sql_tvir;

?>

